## org.apache.mahout.common.iterator
Class DelegatingIterator<T>

    java.lang.Object
      org.apache.mahout.common.iterator.DelegatingIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

Direct Known Subclasses:
  FixedSizeSamplingIterator, StableFixedSizeSamplingIterator

    public abstract class DelegatingIterator<T>

extends java.lang.Object
implements java.util.Iterator<T>

An iterator that delegates to another iterator.

Constructor Summary
`protected` `DelegatingIterator(java.util.Iterator<T> delegate)`

Method Summary
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingIterator

    protected DelegatingIterator(java.util.Iterator<T> delegate)

Method Detail

### hasNext

    public final boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<T>`

### next

    public final T next()

  Specified by:
    `next` in interface `java.util.Iterator<T>`

### remove

    public final void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.